Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.images.dev
Class LocalBlobImageServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.google.appengine.api.images.dev.LocalBlobImageServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public final class LocalBlobImageServlet

extends javax.servlet.http.HttpServlet

Stubs out dynamic image server.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `LocalBlobImageServlet.Image` Utility wrapper to return image bytes and its mime type.
`protected static class` | `LocalBlobImageServlet.ParsedUrl` Utility class to parse a Local URL into its component parts.

Constructor Summary
`LocalBlobImageServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`void` | `init()`
`protected LocalBlobImageServlet.Image` | `transformImage(LocalBlobImageServlet.ParsedUrl request)` Transforms the given image specified in the `ParseUrl` argument.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalBlobImageServlet

    public LocalBlobImageServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse resp)
               throws java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Throws:
    `java.io.IOException`

### transformImage

    protected LocalBlobImageServlet.Image transformImage(LocalBlobImageServlet.ParsedUrl request)

  Transforms the given image specified in the `ParseUrl` argument. Applies all the requested resize and crop operations to a valid image.

  Parameters:
    `request` - a valid `ParseUrl` instance
  Returns:
    the transformed image in an Image class
  Throws:
    `ApiProxy.ApplicationException` - If the image cannot be opened, encoded, or if the transform is malformed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD